<ul nz-menu nzMode='inline' class='side__bar side__bar--primary'>
  <ng-container *ngTemplateOutlet='menuTpl; context: { $implicit: menus }'></ng-container>
  <ng-template #menuTpl let-menus>
    <ng-container *ngFor='let menu of menus'>
      <li class='side__bar--item'
          *ngIf='menu.childrens == null || menu.childrens.length == 0'
          nz-menu-item
          nzMatchRouter
          nzMatchRouterExact>
        <div *ngIf='menu.showIcon' class='side__bar--img'>
          <img *ngIf='currentUrl !== menu.url' class='img__false' [src]='menu.icon' alt=''>
          <img *ngIf='currentUrl === menu.url' class='img__false' [src]='menu.iconActive' alt=''>
        </div>
        <a [routerLink]='[menu.url]' (click)='selectedMenu = menu; openHandler(menu.id)'>
          <span>{{menu.name?.trim()}}</span>
        </a>
        <nz-badge [nzCount]='menu.numberBadge' *ngIf="menu.numberBadge">
          <a class='draft-bage-head'></a>
        </nz-badge>
      </li>

      <li class="side__bar--item {{ openMenuMap[menu.id] ? 'ant-menu-submenu-selected' : ''}}" [nzPaddingLeft]='0'
          *ngIf='menu.childrens != null && menu.childrens.length > 0'
          nz-submenu
          [(nzOpen)]='openMenuMap[menu.id]'
          (nzOpenChange)='openHandler(menu.id)'
          [nzTitle]='title'>
        <ng-template #title>
          <div class='side__bar--img'>
            <img *ngIf='!openMenuMap[menu.id]' class='img__false' [src]='menu.icon' alt=''>
            <img *ngIf='openMenuMap[menu.id]' class='img__false' [src]='menu.iconActive' alt=''>
          </div>
          <span>{{menu.name}}</span>
          <nz-badge [nzCount]='menu.numberBadge' *ngIf="menu.numberBadge">
            <a class='draft-bage-head'></a>
          </nz-badge>
        </ng-template>
        <ul class='side__bar--item--sub'>
          <ng-container *ngTemplateOutlet='menuTpl; context: { $implicit: menu.childrens }'></ng-container>
        </ul>
      </li>
    </ng-container>
  </ng-template>
</ul>
